org.omg.CORBA.portable

## Class UnknownException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.omg.CORBA.SystemException
        - - org.omg.CORBA.portable.UnknownException

All Implemented Interfaces:
  Serializable

    public class UnknownException
    extends SystemException

The org.omg.CORBA.portable.UnknownException is used for reporting unknown exceptions between ties and ORBs and between ORBs and stubs. It provides a Java representation of an UNKNOWN system exception that has an UnknownExceptionInfo service context. If the CORBA system exception org.omg.CORBA.portable.UnknownException is thrown, then the stub does one of the following: (1) Translates it to org.omg.CORBA.UNKNOWN. (2) Translates it to the nested exception that the UnknownException contains. (3) Passes it on directly to the user.

### Field Summary

Fields
`Throwable` `originalEx` A throwable--the original exception that was wrapped in a CORBA UnknownException.

### Fields inherited from class org.omg.CORBA.SystemException

`completed, minor`

### Constructor Summary

Constructors
Constructor and Description
`UnknownException(Throwable ex)` Constructs an UnknownException object.

### Method Summary

### Methods inherited from class org.omg.CORBA.SystemException

`toString`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### originalEx

    public Throwable originalEx

A throwable--the original exception that was wrapped in a CORBA UnknownException.

### Constructor Detail

#### UnknownException

    public UnknownException(Throwable ex)

Constructs an UnknownException object.

Parameters:
  `ex` - a Throwable object--to be wrapped in this exception.

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.